import request from "@/utils/request";

/**
 * 完善资料
 */
export function editSelfData(data) {
  return request.post("/seller/sellerActive", data);
}

/**
 *  获取会员列表
 */
export function getSellerMembers(data) {
  return request.post("/seller/sellerMembers", data);
}

/**
 *  获取会员管理列表
 */
export function getMembersList(data) {
  return request.post("/seller/getSellerMembersByLevel");
}

/**
 *  获取会员列表
 */
export function getMemberList(data) {
  return request.get("/seller/searchUser", data);
}

/**
 *  获取申请中的会员列表
 */
export function searchBindInfo(data) {
  return request.get("/seller/searchBindInfo", data);
}


/**
 *  申请绑定学员
 */
export function bindUser(data) {
  return request.get("/seller/bindUser", data);
}

/**
 *  课程添加会员
 */
export function addMembers(data) {
  return request.post("/seller/addMembers",data);
}



/**
 *  获取会员等级列表
 */
export function getMyMemberLevels(data) {
  return request.get("/seller/getMyMemberLevels");
}
/**
 *  获取会员详情
 */
export function getMemberDetail(data) {
  return request.post("/seller/sellerMembersDetail", data);
}


/**
 *  获取课程管理列表
 */
export function sellerCourses(data) {
  return request.post("/seller/sellerCourses?page="+data.page+"&size="+ data.size, data);
}

/**
 *  获取课程详情
 */
// }
export function getCourseDetail(data) {
  return request.get("/seller/sellerLessionDetail?id="+data);
}

/**
 *  设置座位
 */
export function setMemberSeat(data) {
  return request.post("/seller/addMembersCourseSeat",data);
}

/**
 *  发送验证码
 */
export function getVerificationCode(data) {
  return request.post("/seller/getVerificationCode",data);
}

/**
 *  获取会员榜单日记
 */
export function myMemberStudylist(data) {
  return request.post("/seller/myMemberStudylist", data);
}